<template>
  <button class="circle-button">
    <slot></slot>
  </button>
</template>

<script lang="ts">
import { Component, Vue } from "vue-property-decorator";

@Component
export default class CircleLink extends Vue {}
</script>

<style lang="scss" scoped>
.circle-button {
  display: flex;
  align-items: center;
  justify-content: center;
  border: 1px solid transparentize($white, 0.4);
  border-radius: 50%;
  width: 40px;
  height: 40px;
  transition: all 0.3s;
  text-decoration: none;
  background-color: transparent;

  &:hover {
    border: 1px solid $white;
  }
}
</style>
